Bug 1990 - "Access is Denied" when Deleting User from usrmgr but user is deleted
"Access is Denied" when Deleting User from usrmgr but user is deleted
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.7
x86 Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-03 03:31 UTC by Garith Dugmore
Modified: 2005-08-24 10:25 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Garith Dugmore 2004-11-03 03:31:07 UTC
Samba version 3.0.7 with an openldap version 2.1.30 backend.

When deleting a User "test" through Usermanager I receive an error:
"The following error occurred while trying to delete user test, Access is Denied"

Below are the 2 relevant files, if in need of more info please shout.

Thnx,

smb.conf(relevant bits):

===================================================
[global]

 workgroup = mykonos1
 netbios name = samba
 server string = Samba Server %v
 announce as =  NT Server
 printcap name =/etc/printcap
 load printers = yes
 printing = cups
 printer admin = @"Domain Admins"
 log file = /var/log/samba/log.%m
 max log size = 50
 map to guest = bad user
 security = user
 map acl inherit = yes
 encrypt passwords = yes
 smb passwd file = /etc/samba/smbpasswd
 ldap passwd sync = yes
 ldap delete dn = yes
 obey pam restrictions = yes
 socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
 remote browse sync = 193.0.2.2 193.0.2.255
 remote announce = 193.0.2.2 193.0.2.255
 local master = yes
 os level = 33
 domain master = yes
 preferred master = yes
 domain logons = yes
 logon script = %U.bat
 logon path =
 logon home =
 add user script = /usr/sbin/smbldap-useradd -m '%u'
 delete user script = /usr/sbin/smbldap-userdel -r '%u'
 add user to group script = /usr/sbin/smbldap-groupmod -m '%u' '%g'
 delete user from group script = /usr/sbin/smbldap-groupmod -x '%u' '%g'
 set primary group script = /usr/sbin/smbldap-usermod -g '%g' '%u'
 add group script = /usr/sbin/smbldap-groupadd '%g' &&
/usr/share/samba/scripts/smbldap-groupshow.pl %g|awk '/^gidNumber:/ {print $2}'
 delete group script = /usr/sbin/smbldap-userdel '%g'
 add machine script = /usr/sbin/smbldap-useradd -w -d /dev/null -g machines -c
'Machine Account' -s /bin/false %u
 passdb backend = ldapsam:ldap://localhost smbpasswd guest
 ldap admin dn = cn=pdc.mykonos.co.za,ou=Hosts,dc=mykonos,dc=co,dc=za
 ldap ssl = off
 ldap suffix = dc=mykonos,dc=co,dc=za
 ldap machine suffix = ou=Hosts
 ldap user suffix = ou=People
 ldap group suffix = ou=Group
 name resolve order = wins lmhosts bcast
 wins server = 193.0.2.4
 dns proxy = no
================================================================

log.itworkbench (log level 10)
================================================================
     0010 alloc_hint: 00000018
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
      0014 context_id: 0000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0016 cancel_ct : 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0017 reserved  : 00
[2004/11/03 09:51:35, 5] smbd/ipc.c:copy_trans_params_and_data(62)
  copy_trans_params_and_data: params[0..0] data[0..48]
[2004/11/03 09:51:35, 5] lib/util.c:show_msg(461)
[2004/11/03 09:51:35, 5] lib/util.c:show_msg(471)
  size=104
  smb_com=0x25
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=51201
  smb_tid=1
  smb_pid=1572
  smb_uid=100
  smb_mid=37248
  smt_wct=10
  smb_vwv[ 0]=    0 (0x0)
  smb_vwv[ 1]=   48 (0x30)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=    0 (0x0)
  smb_vwv[ 4]=   56 (0x38)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=   48 (0x30)
  smb_vwv[ 7]=   56 (0x38)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_bcc=49
[2004/11/03 09:51:35, 10] lib/util.c:dump_data(1857)
  [000] 00 05 00 02 03 10 00 00  00 30 00 00 00 BC 00 00  ........ .0......
  [010] 00 18 00 00 00 00 00 00  00 00 00 00 00 00 00 00  ........ ........
  [020] 00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  ........ ........
  [030] 00                                                .
[2004/11/03 09:51:35, 6] lib/util_sock.c:write_socket(449)
  write_socket(23,108)
[2004/11/03 09:51:35, 6] lib/util_sock.c:write_socket(452)
  write_socket(23,108) wrote 108
[2004/11/03 09:51:35, 10] lib/util_sock.c:read_smb_length_return_keepalive(505)
  got smb length of 128
[2004/11/03 09:51:35, 6] smbd/process.c:process_smb(1091)
  got message type 0x0 of len 0x80
[2004/11/03 09:51:35, 3] smbd/process.c:process_smb(1092)
  Transaction 170 of length 132
[2004/11/03 09:51:35, 5] lib/util.c:show_msg(461)
[2004/11/03 09:51:35, 5] lib/util.c:show_msg(471)
  size=128
  smb_com=0x25
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=24
  smb_flg2=51207
  smb_tid=1
  smb_pid=1572
  smb_uid=100
  smb_mid=37313
  smt_wct=16
  smb_vwv[ 0]=    0 (0x0)
  smb_vwv[ 1]=   44 (0x2C)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]= 4280 (0x10B8)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=    0 (0x0)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_vwv[10]=   84 (0x54)
  smb_vwv[11]=   44 (0x2C)
  smb_vwv[12]=   84 (0x54)
  smb_vwv[13]=    2 (0x2)
  smb_vwv[14]=   38 (0x26)
  smb_vwv[15]=29285 (0x7265)
  smb_bcc=61
[2004/11/03 09:51:35, 10] lib/util.c:dump_data(1857)
  [000] 00 5C 00 50 00 49 00 50  00 45 00 5C 00 00 00 00  .\.P.I.P .E.\....
  [010] 65 05 00 00 03 10 00 00  00 2C 00 00 00 BD 00 00  e....... .,......
  [020] 00 14 00 00 00 00 00 01  00 00 00 00 00 2D 00 00  ........ .....-..
  [030] 00 00 00 00 00 06 8E 88  41 F3 77 00 00           ........ A.w..
[2004/11/03 09:51:35, 3] smbd/process.c:switch_message(887)
  switch message SMBtrans (pid 30707) conn 0x83e5b60
[2004/11/03 09:51:35, 4] smbd/uid.c:change_to_user(194)
  change_to_user: Skipping user change - already user
[2004/11/03 09:51:35, 3] smbd/ipc.c:reply_trans(538)
  trans <\PIPE\> data=44 params=0 setup=2
[2004/11/03 09:51:35, 5] smbd/ipc.c:reply_trans(557)
  calling named_pipe
[2004/11/03 09:51:35, 3] smbd/ipc.c:named_pipe(334)
  named pipe command on <> name
[2004/11/03 09:51:35, 5] smbd/ipc.c:api_fd_reply(267)
  api_fd_reply
[2004/11/03 09:51:35, 4] rpc_server/srv_pipe_hnd.c:get_rpc_pipe(1170)
  search for pipe pnum=7265
[2004/11/03 09:51:35, 5] rpc_server/srv_pipe_hnd.c:get_rpc_pipe(1174)
  pipe name lsarpc pnum=7266 (pipes_open=2)
[2004/11/03 09:51:35, 5] rpc_server/srv_pipe_hnd.c:get_rpc_pipe(1174)
  pipe name samr pnum=7265 (pipes_open=2)
[2004/11/03 09:51:35, 3] smbd/ipc.c:api_fd_reply(296)
  Got API command 0x26 on pipe "samr" (pnum 7265)
[2004/11/03 09:51:35, 10] smbd/ipc.c:api_fd_reply(301)
  api_fd_reply: p:0x83e67a8 max_trans_reply: 4280
[2004/11/03 09:51:35, 6] rpc_server/srv_pipe_hnd.c:write_to_pipe(854)
  write_to_pipe: 7265 name: samr open: Yes len: 44
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:write_to_internal_pipe(876)
  write_to_pipe: data_left = 44
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:process_incoming_data(779)
  process_incoming_data: Start: pdu_received_len = 0, pdu_needed_len = 0,
incoming data = 44
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:fill_rpc_header(401)
  fill_rpc_header: data_to_copy = 44, len_needed_to_complete_hdr = 16,
receive_len = 0
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:write_to_internal_pipe(880)
  write_to_pipe: data_used = 16
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:write_to_internal_pipe(876)
  write_to_pipe: data_left = 28
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:process_incoming_data(779)
  process_incoming_data: Start: pdu_received_len = 16, pdu_needed_len = 0,
incoming data = 28
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_debug(82)
  000000 smb_io_rpc_hdr
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0000 major     : 05
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0001 minor     : 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0002 pkt_type  : 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0003 flags     : 03
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0004 pack_type0: 10
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0005 pack_type1: 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0006 pack_type2: 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0007 pack_type3: 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
      0008 frag_len  : 002c
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
      000a auth_len  : 0000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint32(635)
      000c call_id   : 000000bd
[2004/11/03 09:51:35, 5] rpc_server/srv_pipe_hnd.c:unmarshall_rpc_header(488)
  unmarshall_rpc_header: using little-endian RPC
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:unmarshall_rpc_header(517)
  unmarshall_rpc_header: type = 0, flags = 3
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:write_to_internal_pipe(880)
  write_to_pipe: data_used = 0
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:write_to_internal_pipe(876)
  write_to_pipe: data_left = 28
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:process_incoming_data(779)
  process_incoming_data: Start: pdu_received_len = 0, pdu_needed_len = 28,
incoming data = 28
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:process_complete_pdu(722)
  process_complete_pdu: processing packet type 0
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_debug(82)
  000000 smb_io_rpc_hdr_req req
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint32(635)
      0000 alloc_hint: 00000014
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
      0004 context_id: 0000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
      0006 opnum     : 0001
[2004/11/03 09:51:35, 3] rpc_server/srv_pipe_hnd.c:free_pipe_context(544)
  free_pipe_context: destroying talloc pool of size 0
[2004/11/03 09:51:35, 5] rpc_server/srv_pipe.c:api_pipe_request(1500)
  Requested \PIPE\samr
[2004/11/03 09:51:35, 4] rpc_server/srv_pipe.c:api_rpcTNP(1534)
  api_rpcTNP: samr op 0x1 - api_rpcTNP: rpc command: SAMR_CLOSE_HND
[2004/11/03 09:51:35, 6] rpc_server/srv_pipe.c:api_rpcTNP(1560)
  api_rpc_cmds[0].fn == 0x8139350
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_debug(82)
  000000 samr_io_q_close_hnd
[2004/11/03 09:51:35, 6] rpc_parse/parse_prs.c:prs_debug(82)
      000000 smb_io_pol_hnd pol
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint32(635)
          0000 data1: 00000000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint32(635)
          0004 data2: 0000002d
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
          0008 data3: 0000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
          000a data4: 0000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8s(722)
          000c data5: 06 8e 88 41 f3 77 00 00
[2004/11/03 09:51:35, 4] rpc_server/srv_lsa_hnd.c:find_policy_by_hnd_internal(162)
  Found policy hnd[1] [000] 00 00 00 00 2D 00 00 00  00 00 00 00 06 8E 88 41 
....-... .......A
  [010] F3 77 00 00                                       .w.. 
[2004/11/03 09:51:35, 3] rpc_server/srv_lsa_hnd.c:close_policy_hnd(200)
  Closed policy
[2004/11/03 09:51:35, 5] rpc_server/srv_samr_nt.c:_samr_close_hnd(365)
  samr_reply_close_hnd: 365
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_debug(82)
  000000 samr_io_r_close_hnd 
[2004/11/03 09:51:35, 6] rpc_parse/parse_prs.c:prs_debug(82)
      000000 smb_io_pol_hnd pol
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint32(635)
          0000 data1: 00000000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint32(635)
          0004 data2: 00000000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
          0008 data3: 0000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
          000a data4: 0000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8s(722)
          000c data5: 00 00 00 00 00 00 00 00 
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_ntstatus(665)
      0014 status: NT_STATUS_OK
[2004/11/03 09:51:35, 5] rpc_server/srv_pipe.c:api_rpcTNP(1581)
  api_rpcTNP: called samr successfully
[2004/11/03 09:51:35, 3] rpc_server/srv_pipe_hnd.c:free_pipe_context(544)
  free_pipe_context: destroying talloc pool of size 0
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:write_to_internal_pipe(880)
  write_to_pipe: data_used = 28
[2004/11/03 09:51:35, 6] rpc_server/srv_pipe_hnd.c:read_from_pipe(911)
  read_from_pipe: 7265 name: samr len: 4280
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:read_from_internal_pipe(984)
  read_from_pipe: samr: fault_state = 0 : data_sent_length = 0,
prs_offset(&p->out_data.rdata) = 24.
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_debug(82)
  000000 smb_io_rpc_hdr hdr
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0000 major     : 05
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0001 minor     : 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0002 pkt_type  : 02
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0003 flags     : 03
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0004 pack_type0: 10
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0005 pack_type1: 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0006 pack_type2: 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0007 pack_type3: 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
      0008 frag_len  : 0030
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
      000a auth_len  : 0000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint32(635)
      000c call_id   : 000000bd
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_debug(82)
  000010 smb_io_rpc_hdr_resp resp
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint32(635)
      0010 alloc_hint: 00000018
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
      0014 context_id: 0000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0016 cancel_ct : 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0017 reserved  : 00
[2004/11/03 09:51:35, 5] smbd/ipc.c:copy_trans_params_and_data(62)
  copy_trans_params_and_data: params[0..0] data[0..48]
[2004/11/03 09:51:35, 5] lib/util.c:show_msg(461)
[2004/11/03 09:51:35, 5] lib/util.c:show_msg(471)
  size=104
  smb_com=0x25
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=51201
  smb_tid=1
  smb_pid=1572
  smb_uid=100
  smb_mid=37313
  smt_wct=10
  smb_vwv[ 0]=    0 (0x0)
  smb_vwv[ 1]=   48 (0x30)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=    0 (0x0)
  smb_vwv[ 4]=   56 (0x38)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=   48 (0x30)
  smb_vwv[ 7]=   56 (0x38)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_bcc=49
[2004/11/03 09:51:35, 10] lib/util.c:dump_data(1857)
  [000] 00 05 00 02 03 10 00 00  00 30 00 00 00 BD 00 00  ........ .0......
  [010] 00 18 00 00 00 00 00 00  00 00 00 00 00 00 00 00  ........ ........
  [020] 00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  ........ ........
  [030] 00                                                . 
[2004/11/03 09:51:35, 6] lib/util_sock.c:write_socket(449)
  write_socket(23,108)
[2004/11/03 09:51:35, 6] lib/util_sock.c:write_socket(452)
  write_socket(23,108) wrote 108
[2004/11/03 09:51:35, 10] lib/util_sock.c:read_smb_length_return_keepalive(505)
  got smb length of 128
[2004/11/03 09:51:35, 6] smbd/process.c:process_smb(1091)
  got message type 0x0 of len 0x80
[2004/11/03 09:51:35, 3] smbd/process.c:process_smb(1092)
  Transaction 171 of length 132
[2004/11/03 09:51:35, 5] lib/util.c:show_msg(461)
[2004/11/03 09:51:35, 5] lib/util.c:show_msg(471)
  size=128
  smb_com=0x25
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=24
  smb_flg2=51207
  smb_tid=1
  smb_pid=1572
  smb_uid=100
  smb_mid=37377
  smt_wct=16
  smb_vwv[ 0]=    0 (0x0)
  smb_vwv[ 1]=   44 (0x2C)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]= 4280 (0x10B8)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=    0 (0x0)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_vwv[10]=   84 (0x54)
  smb_vwv[11]=   44 (0x2C)
  smb_vwv[12]=   84 (0x54)
  smb_vwv[13]=    2 (0x2)
  smb_vwv[14]=   38 (0x26)
  smb_vwv[15]=29285 (0x7265)
  smb_bcc=61
[2004/11/03 09:51:35, 10] lib/util.c:dump_data(1857)
  [000] 00 5C 00 50 00 49 00 50  00 45 00 5C 00 00 00 00  .\.P.I.P .E.\....
  [010] 65 05 00 00 03 10 00 00  00 2C 00 00 00 BE 00 00  e....... .,......
  [020] 00 14 00 00 00 00 00 01  00 00 00 00 00 2B 00 00  ........ .....+..
  [030] 00 00 00 00 00 06 8E 88  41 F3 77 00 00           ........ A.w..
[2004/11/03 09:51:35, 3] smbd/process.c:switch_message(887)
  switch message SMBtrans (pid 30707) conn 0x83e5b60
[2004/11/03 09:51:35, 4] smbd/uid.c:change_to_user(194)
  change_to_user: Skipping user change - already user
[2004/11/03 09:51:35, 3] smbd/ipc.c:reply_trans(538)
  trans <\PIPE\> data=44 params=0 setup=2
[2004/11/03 09:51:35, 5] smbd/ipc.c:reply_trans(557)
  calling named_pipe
[2004/11/03 09:51:35, 3] smbd/ipc.c:named_pipe(334)
  named pipe command on <> name
[2004/11/03 09:51:35, 5] smbd/ipc.c:api_fd_reply(267)
  api_fd_reply
[2004/11/03 09:51:35, 4] rpc_server/srv_pipe_hnd.c:get_rpc_pipe(1170)
  search for pipe pnum=7265
[2004/11/03 09:51:35, 5] rpc_server/srv_pipe_hnd.c:get_rpc_pipe(1174)
  pipe name lsarpc pnum=7266 (pipes_open=2)
[2004/11/03 09:51:35, 5] rpc_server/srv_pipe_hnd.c:get_rpc_pipe(1174)
  pipe name samr pnum=7265 (pipes_open=2)
[2004/11/03 09:51:35, 3] smbd/ipc.c:api_fd_reply(296)
  Got API command 0x26 on pipe "samr" (pnum 7265)
[2004/11/03 09:51:35, 10] smbd/ipc.c:api_fd_reply(301)
  api_fd_reply: p:0x83e67a8 max_trans_reply: 4280
[2004/11/03 09:51:35, 6] rpc_server/srv_pipe_hnd.c:write_to_pipe(854)
  write_to_pipe: 7265 name: samr open: Yes len: 44
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:write_to_internal_pipe(876)
  write_to_pipe: data_left = 44
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:process_incoming_data(779)
  process_incoming_data: Start: pdu_received_len = 0, pdu_needed_len = 0,
incoming data = 44
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:fill_rpc_header(401)
  fill_rpc_header: data_to_copy = 44, len_needed_to_complete_hdr = 16,
receive_len = 0
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:write_to_internal_pipe(880)
  write_to_pipe: data_used = 16
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:write_to_internal_pipe(876)
  write_to_pipe: data_left = 28
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:process_incoming_data(779)
  process_incoming_data: Start: pdu_received_len = 16, pdu_needed_len = 0,
incoming data = 28
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_debug(82)
  000000 smb_io_rpc_hdr 
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0000 major     : 05
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0001 minor     : 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0002 pkt_type  : 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0003 flags     : 03
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0004 pack_type0: 10
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0005 pack_type1: 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0006 pack_type2: 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0007 pack_type3: 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
      0008 frag_len  : 002c
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
      000a auth_len  : 0000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint32(635)
      000c call_id   : 000000be
[2004/11/03 09:51:35, 5] rpc_server/srv_pipe_hnd.c:unmarshall_rpc_header(488)
  unmarshall_rpc_header: using little-endian RPC
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:unmarshall_rpc_header(517)
  unmarshall_rpc_header: type = 0, flags = 3
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:write_to_internal_pipe(880)
  write_to_pipe: data_used = 0
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:write_to_internal_pipe(876)
  write_to_pipe: data_left = 28
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:process_incoming_data(779)
  process_incoming_data: Start: pdu_received_len = 0, pdu_needed_len = 28,
incoming data = 28
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:process_complete_pdu(722)
  process_complete_pdu: processing packet type 0
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_debug(82)
  000000 smb_io_rpc_hdr_req req
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint32(635)
      0000 alloc_hint: 00000014
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
      0004 context_id: 0000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
      0006 opnum     : 0001
[2004/11/03 09:51:35, 3] rpc_server/srv_pipe_hnd.c:free_pipe_context(544)
  free_pipe_context: destroying talloc pool of size 0
[2004/11/03 09:51:35, 5] rpc_server/srv_pipe.c:api_pipe_request(1500)
  Requested \PIPE\samr
[2004/11/03 09:51:35, 4] rpc_server/srv_pipe.c:api_rpcTNP(1534)
  api_rpcTNP: samr op 0x1 - api_rpcTNP: rpc command: SAMR_CLOSE_HND
[2004/11/03 09:51:35, 6] rpc_server/srv_pipe.c:api_rpcTNP(1560)
  api_rpc_cmds[0].fn == 0x8139350
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_debug(82)
  000000 samr_io_q_close_hnd 
[2004/11/03 09:51:35, 6] rpc_parse/parse_prs.c:prs_debug(82)
      000000 smb_io_pol_hnd pol
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint32(635)
          0000 data1: 00000000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint32(635)
          0004 data2: 0000002b
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
          0008 data3: 0000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
          000a data4: 0000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8s(722)
          000c data5: 06 8e 88 41 f3 77 00 00 
[2004/11/03 09:51:35, 4] rpc_server/srv_lsa_hnd.c:find_policy_by_hnd_internal(162)
  Found policy hnd[1] [000] 00 00 00 00 2B 00 00 00  00 00 00 00 06 8E 88 41 
....+... .......A
  [010] F3 77 00 00                                       .w..
[2004/11/03 09:51:35, 3] rpc_server/srv_lsa_hnd.c:close_policy_hnd(200)
  Closed policy
[2004/11/03 09:51:35, 5] rpc_server/srv_samr_nt.c:_samr_close_hnd(365)
  samr_reply_close_hnd: 365
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_debug(82)
  000000 samr_io_r_close_hnd
[2004/11/03 09:51:35, 6] rpc_parse/parse_prs.c:prs_debug(82)
      000000 smb_io_pol_hnd pol
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint32(635)
          0000 data1: 00000000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint32(635)
          0004 data2: 00000000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
          0008 data3: 0000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
          000a data4: 0000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8s(722)
          000c data5: 00 00 00 00 00 00 00 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_ntstatus(665)
      0014 status: NT_STATUS_OK
[2004/11/03 09:51:35, 5] rpc_server/srv_pipe.c:api_rpcTNP(1581)
  api_rpcTNP: called samr successfully
[2004/11/03 09:51:35, 3] rpc_server/srv_pipe_hnd.c:free_pipe_context(544)
  free_pipe_context: destroying talloc pool of size 0
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:write_to_internal_pipe(880)
  write_to_pipe: data_used = 28
[2004/11/03 09:51:35, 6] rpc_server/srv_pipe_hnd.c:read_from_pipe(911)
  read_from_pipe: 7265 name: samr len: 4280
[2004/11/03 09:51:35, 10] rpc_server/srv_pipe_hnd.c:read_from_internal_pipe(984)
  read_from_pipe: samr: fault_state = 0 : data_sent_length = 0,
prs_offset(&p->out_data.rdata) = 24.
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_debug(82)
  000000 smb_io_rpc_hdr hdr
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0000 major     : 05
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0001 minor     : 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0002 pkt_type  : 02
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0003 flags     : 03
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0004 pack_type0: 10
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0005 pack_type1: 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0006 pack_type2: 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0007 pack_type3: 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
      0008 frag_len  : 0030
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
      000a auth_len  : 0000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint32(635)
      000c call_id   : 000000be
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_debug(82)
  000010 smb_io_rpc_hdr_resp resp
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint32(635)
      0010 alloc_hint: 00000018
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint16(606)
      0014 context_id: 0000
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0016 cancel_ct : 00
[2004/11/03 09:51:35, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0017 reserved  : 00
[2004/11/03 09:51:35, 5] smbd/ipc.c:copy_trans_params_and_data(62)
  copy_trans_params_and_data: params[0..0] data[0..48]
[2004/11/03 09:51:35, 5] lib/util.c:show_msg(461)
[2004/11/03 09:51:35, 5] lib/util.c:show_msg(471)
  size=104
  smb_com=0x25
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=51201
  smb_tid=1
  smb_pid=1572
  smb_uid=100
  smb_mid=37377
  smt_wct=10
  smb_vwv[ 0]=    0 (0x0)
  smb_vwv[ 1]=   48 (0x30)
  smb_vwv[ 2]=    0 (0x0)
  smb_vwv[ 3]=    0 (0x0)
  smb_vwv[ 4]=   56 (0x38)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=   48 (0x30)
  smb_vwv[ 7]=   56 (0x38)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_bcc=49
[2004/11/03 09:51:35, 10] lib/util.c:dump_data(1857)
  [000] 00 05 00 02 03 10 00 00  00 30 00 00 00 BE 00 00  ........ .0......
  [010] 00 18 00 00 00 00 00 00  00 00 00 00 00 00 00 00  ........ ........
  [020] 00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  ........ ........
  [030] 00                                                .
[2004/11/03 09:51:35, 6] lib/util_sock.c:write_socket(449)
  write_socket(23,108)
[2004/11/03 09:51:35, 6] lib/util_sock.c:write_socket(452)
  write_socket(23,108) wrote 108
==========================================================
Comment 1 Gerald (Jerry) Carter 2005-02-08 07:10:21 UTC
not enough information.  But please test 3.0.11 and the 
'emable privileges' feature.  Reopen if you can reproduce the bug.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:25:53 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.